Method: organizations.valuedResources.list

Lists the valued resources for a set of simulation results and filter.

HTTP request


GET https://securitycenter.googleapis.com/v1/{parent=organizations/*}/valuedResources

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Name of parent to list valued resources.

Valid formats: organizations/{organization}, organizations/{organization}/simulations/{simulation} organizations/{organization}/simulations/{simulation}/attackExposureResults/{attack_exposure_result_v2}

Query parameters

Parameters
filter

string

The filter expression that filters the valued resources in the response. Supported fields:

  • resourceValue supports =
  • resourceType supports =
pageToken

string

The value returned by the last ListValuedResourcesResponse; indicates that this is a continuation of a prior valuedResources.list call, and that the system should return the next page of data.

pageSize

integer

The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.

orderBy

string

Optional. The fields by which to order the valued resources response.

Supported fields:

  • exposedScore

  • resourceValue

  • resourceType

  • resource

  • displayName

Values should be a comma separated list of fields. For example: exposedScore,resourceValue.

The default sorting order is descending. To specify ascending or descending order for a field, append a ASC or a DESC suffix, respectively; for example: exposedScore DESC.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListValuedResourcesResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/securitycenter

For more information, see the Authentication Overview.